org.apache.synapse.transport.netty.api.config

## Class SSLConfiguration.SSLConfigurationBuilder

- java.lang.Object
- - org.apache.synapse.transport.netty.api.config.SSLConfiguration.SSLConfigurationBuilder

- Enclosing class:
    SSLConfiguration

      public static class SSLConfiguration.SSLConfigurationBuilder
      extends java.lang.Object

  Builder class for the SSLConfiguration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLConfigurationBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLConfiguration` | `build()`
    `SSLConfiguration.SSLConfigurationBuilder` | `clientAuthEl(java.lang.String clientAuthEl)`
    `SSLConfiguration.SSLConfigurationBuilder` | `handshakeTimeout(java.lang.String handshakeTimeout)`
    `SSLConfiguration.SSLConfigurationBuilder` | `httpsProtocolsEl(java.lang.String httpsProtocolsEl)`
    `SSLConfiguration.SSLConfigurationBuilder` | `keyStore(java.lang.String keyStore)`
    `SSLConfiguration.SSLConfigurationBuilder` | `preferredCiphersEl(java.lang.String preferredCiphersEl)`
    `SSLConfiguration.SSLConfigurationBuilder` | `revocationVerifier(java.lang.String revocationVerifier)`
    `SSLConfiguration.SSLConfigurationBuilder` | `sessionTimeout(java.lang.String sessionTimeout)`
    `SSLConfiguration.SSLConfigurationBuilder` | `sslProtocol(java.lang.String sslProtocol)`
    `SSLConfiguration.SSLConfigurationBuilder` | `trustStore(java.lang.String trustStore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfigurationBuilder

          public SSLConfigurationBuilder()

  - ### Method Detail

    - #### build

          public SSLConfiguration build()

    - #### keyStore

          public SSLConfiguration.SSLConfigurationBuilder keyStore(java.lang.String keyStore)

    - #### trustStore

          public SSLConfiguration.SSLConfigurationBuilder trustStore(java.lang.String trustStore)

    - #### clientAuthEl

          public SSLConfiguration.SSLConfigurationBuilder clientAuthEl(java.lang.String clientAuthEl)

    - #### httpsProtocolsEl

          public SSLConfiguration.SSLConfigurationBuilder httpsProtocolsEl(java.lang.String httpsProtocolsEl)

    - #### revocationVerifier

          public SSLConfiguration.SSLConfigurationBuilder revocationVerifier(java.lang.String revocationVerifier)

    - #### sslProtocol

          public SSLConfiguration.SSLConfigurationBuilder sslProtocol(java.lang.String sslProtocol)

    - #### preferredCiphersEl

          public SSLConfiguration.SSLConfigurationBuilder preferredCiphersEl(java.lang.String preferredCiphersEl)

    - #### sessionTimeout

          public SSLConfiguration.SSLConfigurationBuilder sessionTimeout(java.lang.String sessionTimeout)

    - #### handshakeTimeout

          public SSLConfiguration.SSLConfigurationBuilder handshakeTimeout(java.lang.String handshakeTimeout)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.